Bug 80872 - Can not install phoebe due to X fatal erros
Can not install phoebe due to X fatal erros
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks: 79579 82779 CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-01-01 09:46 EST by Don Hardaway
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-10 16:43:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
here is the config file after I edited it to make it work--same change as in rh8.0 (3.15 KB, text/plain)
2003-01-05 21:24 EST, Don Hardaway
no flags Details
here is one log (35.25 KB, text/plain)
2003-01-05 21:26 EST, Don Hardaway
no flags Details
here is a setup log (1.64 KB, text/plain)
2003-01-05 21:26 EST, Don Hardaway
no flags Details
XFree86 config file with the problem (3.36 KB, text/plain)
2003-01-21 09:09 EST, Don Hardaway
no flags Details
log file from running XFConfig with problem (28.41 KB, text/plain)
2003-01-21 09:10 EST, Don Hardaway
no flags Details
XFree86 setup log file when running XFree86 with problem (1.64 KB, text/plain)
2003-01-21 09:12 EST, Don Hardaway
no flags Details
XFree86 config file after manually editing it and making changes to make it work (3.27 KB, text/plain)
2003-01-21 09:13 EST, Don Hardaway
no flags Details
XFree86 log file after manually editing XFree86 config file and making changes to make it work (36.63 KB, text/plain)
2003-01-21 09:17 EST, Don Hardaway
no flags Details

  None (edit)
Description Don Hardaway 2003-01-01 09:46:45 EST
Description of problem:
When trying to install phoebe, the installation halts due to XIO fatal IO error
104.  X first error before the fatal one was X failed trying to start VESA
driver X server, then it got X started successfully and generated the XIO fatal
IO error 104.

Version-Release number of selected component (if applicable):

phoebe beta 1
How reproducible:

when trying to install
Steps to Reproduce:
1.Intall disk 1
2.boot computer
3.
    
Actual results:
install exited abnormally

Expected results:
normal install

Additional info:
Comment 1 Bill Nottingham 2003-01-01 22:02:20 EST
What sort of graphics card? What are the exact messages?
Comment 2 Mike A. Harris 2003-01-02 04:38:26 EST
Reassigning to XFree86 component (XFree86-Servers is 3.3.6 from RHL 7.x).
Comment 3 Don Hardaway 2003-01-02 08:28:47 EST
This is a dell c800 laptop with a ati m4 graphics card with 32mb memory. screen
is a sharp uxga 1600x1200 resolution. Problems with X on this laptop were with
rh 8.0 and prior but never had an install problem, only configuration of X once
the system was loaded.  You have the exact messages-- that is what i put in the
description. 
Comment 4 Mike A. Harris 2003-01-02 08:55:58 EST
All XFree86 related bug reports need to be accompanied by individual
file attachments of the XFree86 log and config file, wether they seem
relevant to the issue at hand or not (they are _always_ useful).  You
can attach them using the link below.

You may need to do a text mode install first, and then run
redhat-config-xfree86 first.
Comment 5 Don Hardaway 2003-01-02 09:20:51 EST
Maybe you did not understand me. The install aborted before the disk was even
written to. Now, where do you suggest I get the logs from?
Comment 7 Bill Nottingham 2003-01-02 10:30:59 EST
What happens if you boot the installer with 'resolution=1600x1200'?
Comment 8 Don Hardaway 2003-01-02 10:33:40 EST
Will do. Thanks.
Comment 9 Don Hardaway 2003-01-05 21:24:52 EST
Created attachment 89143 [details]
here is the config file after I edited it to make it work--same change as in rh8.0
Comment 10 Don Hardaway 2003-01-05 21:26:09 EST
Created attachment 89144 [details]
here is one log
Comment 11 Don Hardaway 2003-01-05 21:26:51 EST
Created attachment 89145 [details]
here is a setup log
Comment 12 Don Hardaway 2003-01-05 21:28:21 EST
Should I upgrade to the rawhide XFree86 to work with it Mike?
Comment 13 Don Hardaway 2003-01-05 21:49:27 EST
Oh yea, When I do a ctrl-alt-F1 to go to console I get the white screen of death
sometimes--just like with rh8.0.
Comment 14 Mike A. Harris 2003-01-20 21:38:37 EST
You mention above "here is the config file after I edited it to make it
work--same change as in rh8.0", but that isn't useful to me.  Seeing the
config file that "works" doesn't show the problem.

What is needed, is to see the config file that is generated by our tools
that does not work, and compare it with the one that does work.  Also
comparing the log file generated from starting the X server with both
configs.

Please attach all of that information.

Comment 15 Don Hardaway 2003-01-21 09:09:16 EST
Created attachment 89462 [details]
XFree86 config file with the problem

Also, when running this file messages kept coming up on the console screen that
said:
ID: none
Name: None
Vertical Sync:None
HorizontalSync: None
ddc probe returns bogus values

Further, sometimes when I log out the screen goes white and pc locks up. 
Sometimes when switching to or from X to console the screen goes white and
locks up.  So, it appears that whatever trap program there is that is supposed
to handle aborts or error exits is not working.
Comment 16 Don Hardaway 2003-01-21 09:10:37 EST
Created attachment 89463 [details]
log file from running XFConfig with problem
Comment 17 Don Hardaway 2003-01-21 09:12:15 EST
Created attachment 89464 [details]
XFree86 setup log file when running XFree86 with problem
Comment 18 Don Hardaway 2003-01-21 09:13:57 EST
Created attachment 89465 [details]
XFree86 config file after manually editing it and making changes to make it work
Comment 19 Don Hardaway 2003-01-21 09:17:03 EST
Created attachment 89466 [details]
XFree86 log file after manually editing XFree86 config file and making changes to make it work

Additional info:  Even after i modify the XFree86 config file and get X
running--i can not get 24 bit color to work--only 16bit.


hope all of this helps!

Note You need to log in before you can comment on or make changes to this bug.